Bug 323881 - readahead is ext3-centric
readahead is ext3-centric
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: readahead (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 17:38 EDT by Eric Sandeen
Modified: 2011-06-17 10:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 14:55:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2007-10-08 17:38:01 EDT
readahead uses ext[23]-centric calls, so it's not able to sort by block on any
non-ext3 filesystem (near as I can tell).  At least gfs2 is claimed to be
supported as a root filesystem, so it'd probably be good (if readahead sticks
around...) to either make it filesystem-agnostic (FIBMAP ioctl?) or consider
disabling for non-ext3 filesystems.  Or... perhaps, reading files out of
block-order is not such a big hit.  But, it's worth investigating I think.

Thanks,
-Eric
Comment 1 Bug Zapper 2008-05-13 23:20:49 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 05:18:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 07:46:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Alexey Torkhov 2010-06-20 03:19:34 EDT
With btrfs coming, more and more people would be use it as root filesystem. It would be nice to see readahead working on it.
Comment 5 Eric Sandeen 2010-06-22 10:17:04 EDT
As the years have flown by ;) it'd be worth pointing out the new FIEMAP ioctl which is more efficient.

-Eric
Comment 6 Bug Zapper 2011-06-02 14:39:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Eric Sandeen 2011-06-02 14:55:16 EDT
well, it's 3 years later and no love, rather than have BZ continue to spam me I'll just close this on behalf of the maintainer with what seems to be the appropriate resolution.

(TBH I have no idea how readahead even works these days...)
Comment 8 Harald Hoyer 2011-06-17 05:33:02 EDT
systemd-readahead replaces readahead. systemd-readahead is not ext3 centric anymore.
Comment 9 Eric Sandeen 2011-06-17 10:41:14 EDT
Sounds good, thanks!

Note You need to log in before you can comment on or make changes to this bug.